> ## Documentation Index
> Fetch the complete documentation index at: https://docs.inworld.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List models

> List all available models along with their capabilities, pricing, and specifications.



## OpenAPI

````yaml get /llm/v1alpha/models
openapi: 3.0.0
info:
  title: Inworld Models API
  version: v1alpha
  contact:
    name: Inworld AI
    url: https://inworld.ai
    email: support@inworld.ai
servers:
  - url: https://api.inworld.ai
security:
  - inworld_basic: []
tags:
  - name: ModelService
paths:
  /llm/v1alpha/models:
    get:
      tags:
        - ModelService
      summary: List models
      description: >-
        List all available models along with their capabilities, pricing, and
        specifications.
      operationId: ModelService_ListModels
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1alphaListModelsResponse'
              examples:
                successful_response:
                  summary: List of available models
                  description: >-
                    Real example response from DEV (api.dev.inworld.ai),
                    truncated to 1 model.
                  value:
                    models:
                      - model: gemini-2.5-flash
                        provider: google
                        modelCreator: Google
                        pricing:
                          prompt: 3.e-7
                          completion: 0.0000025
                        spec:
                          inputModalities:
                            - text
                            - image
                            - audio
                            - video
                          outputModalities:
                            - text
                          contextLength: 1048576
                          maxCompletionTokens: 65535
                          supportedParameters:
                            - reasoning
                            - include_reasoning
                            - structured_outputs
                            - response_format
                            - max_tokens
                            - temperature
                            - top_p
                            - seed
                            - stop
                            - tools
                            - tool_choice
                          capabilities:
                            functionCalling: true
                            webSearch: true
                            reasoning: true
                            promptCaching: true
                            responseSchema: true
                            vision: true
                        isSupported: true
        4XX:
          description: An error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl --location 'https://api.inworld.ai/llm/v1alpha/models' \
            --header "Authorization: Basic $INWORLD_API_KEY"
        - lang: python
          label: Python
          source: |-
            import os
            import requests

            url = "https://api.inworld.ai/llm/v1alpha/models"
            headers = {
                "Authorization": f"Basic {os.getenv('INWORLD_API_KEY')}"
            }

            response = requests.get(url, headers=headers)
            print(response.json())
        - lang: javascript
          label: JavaScript
          source: |-
            const url = 'https://api.inworld.ai/llm/v1alpha/models';

            const response = await fetch(url, {
              headers: {
                'Authorization': `Basic ${process.env.INWORLD_API_KEY}`,
              },
            });

            const data = await response.json();
            console.log(data);
components:
  schemas:
    v1alphaListModelsResponse:
      type: object
      properties:
        models:
          type: array
          items:
            $ref: '#/components/schemas/v1alphaModel'
          description: The list of available models.
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
          description: >-
            The error code, as specified by [gRPC status
            codes](https://grpc.io/docs/guides/status-codes/).
          example: 16
        message:
          type: string
          description: A short description of the error.
          example: Unauthenticated
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
          example: []
    v1alphaModel:
      type: object
      properties:
        model:
          type: string
          description: >-
            The unique identifier of the model. Use this value in the `model`
            field when making [LLM
            completions](../../../api-reference/llmAPI/llmservice/generate-chat-completion-response)
            or [Router](../../../api-reference/routerAPI/chat-completions)
            requests.
          example: gpt-4o
        provider:
          type: string
          description: >-
            The service provider hosting the model. Maps to the
            `serviceProvider` field in completion requests.
          example: openai
        modelCreator:
          type: string
          description: >-
            The organization that created the model. May differ from the
            provider (e.g., a Meta model hosted on Groq).
          example: OpenAI
        pricing:
          $ref: '#/components/schemas/v1alphaModelPricing'
        spec:
          $ref: '#/components/schemas/v1alphaModelSpec'
        isSupported:
          type: boolean
          description: >-
            Indicates whether this model is currently supported and recommended
            for use. Models without this flag or with `false` may be
            experimental, deprecated, or not yet generally available.
      required:
        - model
        - provider
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}
    v1alphaModelPricing:
      type: object
      description: Per-token pricing information for the model (in USD).
      properties:
        prompt:
          type: number
          format: double
          description: Cost per input (prompt) token in USD.
          example: 0.0000025
        completion:
          type: number
          format: double
          description: Cost per output (completion) token in USD.
          example: 0.00001
    v1alphaModelSpec:
      type: object
      description: Technical specifications and capabilities of the model.
      properties:
        inputModalities:
          type: array
          items:
            type: string
            enum:
              - text
              - image
              - audio
              - video
          description: The input modalities supported by the model.
          example:
            - text
            - image
        outputModalities:
          type: array
          items:
            type: string
            enum:
              - text
              - image
              - audio
          description: The output modalities supported by the model.
          example:
            - text
        contextLength:
          type: integer
          format: int32
          description: >-
            The maximum number of tokens the model can process as input (context
            window size).
          example: 128000
        maxCompletionTokens:
          type: integer
          format: int32
          description: >-
            The maximum number of tokens the model can generate in a single
            response.
          example: 16384
        supportedParameters:
          type: array
          items:
            type: string
          description: >-
            The generation parameters supported by this model. Common values
            include: `max_tokens`, `temperature`, `top_p`, `stop`, `seed`,
            `response_format`, `structured_outputs`, `tools`, `tool_choice`,
            `reasoning`, `include_reasoning`, `frequency_penalty`,
            `presence_penalty`.
          example:
            - max_tokens
            - temperature
            - top_p
            - stop
            - tools
            - tool_choice
        capabilities:
          $ref: '#/components/schemas/v1alphaModelCapabilities'
    v1alphaModelCapabilities:
      type: object
      description: >-
        High-level capability flags for the model. Only capabilities that are
        `true` are included in the response.
      properties:
        functionCalling:
          type: boolean
          description: Whether the model supports function/tool calling.
        webSearch:
          type: boolean
          description: Whether the model supports web search (grounding).
        reasoning:
          type: boolean
          description: Whether the model supports chain-of-thought reasoning.
        promptCaching:
          type: boolean
          description: Whether prompt caching is available for this model.
        responseSchema:
          type: boolean
          description: >-
            Whether the model supports structured output with a response schema
            (JSON mode).
        vision:
          type: boolean
          description: Whether the model supports image/vision input.
  securitySchemes:
    inworld_basic:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your [authentication](../../../api-reference/introduction) credentials.
        For Basic authentication, please populate `Basic $INWORLD_API_KEY`

````